Subscriptions
Account Scope Required, please include X-Auth-Account header with your
Account ID. Scope: billing:read.
List Subscriptions
This currently returns all active or suspended subscriptions.
GET /api/subscriptions
Params (optional)
- page: Integer | page number (default: 1)
- per_page: Integer | records per page (default: 50, max: 100)
Returned Params
- subscriptions: Array
- id: String
- status: String
- created_at: DateTime
- updated_at: DateTime
- price: Object
- amount_cents: Integer
- term: String
- run_rate: Integer | In Cents
- sites: Array
- id: String
- name: String
- created_at: DateTime
- updated_at: DateTime
- primary_domain: String
- location: String
- package: String
- dunning_suspended: Boolean
- product: Object
- id: String
- name: String
View Subscription
GET /api/subscriptions/:id
Returned Params
- subscription: Object
- id: String
- status: String
- created_at: DateTime
- updated_at: DateTime
- price: Object
- amount_cents: Integer
- term: String
- run_rate: Integer | In Cents
- sites: Array
- id: String
- name: String
- created_at: DateTime
- updated_at: DateTime
- primary_domain: String
- location: String
- package: String
- dunning_suspended: Boolean
- product: Object
- id: String
- name: String